plinrain <- function(n, beg = 1, end = 256)
{
    if(beg < 1 || end < 1 || beg > 256 || end > 256)
        stop("`beg' and `end' must be numbers in the interval [1,256]")

    M <- rbind(c(  0,  0,  0),
               c( 45,  0, 36),
               c( 56,  0, 46),
               c( 60,  0, 49),
               c( 67,  0, 54),
               c( 70,  0, 59),
               c( 71,  0, 61),
               c( 75,  0, 68),
               c( 74,  0, 73),
               c( 74,  0, 77),
               c( 73,  0, 81),
               c( 71,  0, 87),
               c( 69,  1, 90),
               c( 68,  2, 94),
               c( 66,  3, 97),
               c( 63,  6,102),
               c( 61,  7,106),
               c( 58, 10,109),
               c( 56, 12,113),
               c( 53, 15,116),
               c( 48, 18,119),
               c( 47, 20,121),
               c( 44, 23,124),
               c( 41, 27,128),
               c( 40, 28,129),
               c( 37, 32,132),
               c( 34, 36,134),
               c( 29, 43,137),
               c( 25, 52,138),
               c( 24, 57,139),
               c( 24, 62,141),
               c( 24, 64,142),
               c( 23, 65,142),
               c( 23, 69,143),
               c( 23, 71,142),
               c( 23, 71,142),
               c( 23, 73,142),
               c( 23, 75,142),
               c( 23, 75,142),
               c( 23, 78,142),
               c( 23, 80,142),
               c( 23, 80,142),
               c( 23, 82,141),
               c( 23, 85,141),
               c( 23, 85,141),
               c( 23, 87,140),
               c( 23, 87,140),
               c( 24, 90,140),
               c( 24, 90,140),
               c( 24, 93,139),
               c( 24, 93,139),
               c( 24, 93,139),
               c( 24, 93,139),
               c( 24, 97,139),
               c( 24, 97,139),
               c( 25,101,138),
               c( 25,101,138),
               c( 25,104,137),
               c( 25,104,137),
               c( 25,104,137),
               c( 26,108,137),
               c( 26,108,137),
               c( 27,111,136),
               c( 27,111,136),
               c( 27,111,136),
               c( 27,115,135),
               c( 27,115,135),
               c( 28,118,134),
               c( 28,118,134),
               c( 29,122,133),
               c( 29,122,133),
               c( 29,122,133),
               c( 29,122,133),
               c( 29,125,132),
               c( 29,125,132),
               c( 30,128,131),
               c( 30,128,131),
               c( 31,131,130),
               c( 31,131,130),
               c( 31,131,130),
               c( 32,134,128),
               c( 32,134,128),
               c( 33,137,127),
               c( 33,137,127),
               c( 33,137,127),
               c( 34,140,125),
               c( 34,140,125),
               c( 35,142,123),
               c( 35,142,123),
               c( 36,145,121),
               c( 36,145,121),
               c( 36,145,121),
               c( 37,147,118),
               c( 37,147,118),
               c( 38,150,116),
               c( 38,150,116),
               c( 40,152,113),
               c( 40,152,113),
               c( 41,154,111),
               c( 41,154,111),
               c( 42,156,108),
               c( 42,156,108),
               c( 43,158,106),
               c( 43,158,106),
               c( 43,158,106),
               c( 45,160,104),
               c( 45,160,104),
               c( 46,162,101),
               c( 46,162,101),
               c( 48,164, 99),
               c( 48,164, 99),
               c( 50,166, 97),
               c( 50,166, 97),
               c( 51,168, 95),
               c( 53,170, 93),
               c( 53,170, 93),
               c( 53,170, 93),
               c( 55,172, 91),
               c( 55,172, 91),
               c( 57,174, 88),
               c( 57,174, 88),
               c( 59,175, 86),
               c( 62,177, 84),
               c( 64,178, 82),
               c( 64,178, 82),
               c( 67,180, 80),
               c( 67,180, 80),
               c( 69,181, 79),
               c( 72,183, 77),
               c( 72,183, 77),
               c( 72,183, 77),
               c( 75,184, 76),
               c( 77,186, 74),
               c( 80,187, 73),
               c( 83,189, 72),
               c( 87,190, 72),
               c( 91,191, 71),
               c( 95,192, 70),
               c( 99,193, 70),
               c(103,194, 70),
               c(107,195, 70),
               c(111,196, 70),
               c(111,196, 70),
               c(115,196, 70),
               c(119,197, 70),
               c(123,197, 70),
               c(130,198, 71),
               c(133,199, 71),
               c(137,199, 72),
               c(140,199, 72),
               c(143,199, 73),
               c(143,199, 73),
               c(147,199, 73),
               c(150,199, 74),
               c(153,199, 74),
               c(156,199, 75),
               c(160,200, 76),
               c(167,200, 78),
               c(170,200, 79),
               c(173,200, 79),
               c(173,200, 79),
               c(177,200, 80),
               c(180,200, 81),
               c(183,199, 82),
               c(186,199, 82),
               c(190,199, 83),
               c(196,199, 85),
               c(199,198, 85),
               c(199,198, 85),
               c(203,198, 86),
               c(206,197, 87),
               c(212,197, 89),
               c(215,196, 90),
               c(218,195, 91),
               c(224,194, 94),
               c(224,194, 94),
               c(230,193, 96),
               c(233,192, 98),
               c(236,190,100),
               c(238,189,104),
               c(240,188,106),
               c(240,188,106),
               c(242,187,110),
               c(244,185,114),
               c(245,184,116),
               c(247,183,120),
               c(248,182,123),
               c(248,182,123),
               c(250,181,125),
               c(251,180,128),
               c(252,180,130),
               c(253,180,133),
               c(253,180,133),
               c(254,180,134),
               c(254,179,138),
               c(255,179,142),
               c(255,179,145),
               c(255,179,145),
               c(255,179,152),
               c(255,180,161),
               c(255,180,164),
               c(255,180,167),
               c(255,180,167),
               c(255,181,169),
               c(255,181,170),
               c(255,182,173),
               c(255,183,176),
               c(255,183,176),
               c(255,184,179),
               c(255,185,179),
               c(255,185,182),
               c(255,186,182),
               c(255,186,182),
               c(255,187,185),
               c(255,188,185),
               c(255,189,188),
               c(255,189,188),
               c(255,190,188),
               c(255,191,191),
               c(255,192,191),
               c(255,194,194),
               c(255,194,194),
               c(255,197,197),
               c(255,198,198),
               c(255,200,200),
               c(255,201,201),
               c(255,201,201),
               c(255,202,202),
               c(255,203,203),
               c(255,205,205),
               c(255,206,206),
               c(255,206,206),
               c(255,208,208),
               c(255,209,209),
               c(255,211,211),
               c(255,215,215),
               c(255,216,216),
               c(255,216,216),
               c(255,218,218),
               c(255,219,219),
               c(255,221,221),
               c(255,223,223),
               c(255,226,226),
               c(255,228,228),
               c(255,230,230),
               c(255,230,230),
               c(255,232,232),
               c(255,235,235),
               c(255,237,237),
               c(255,240,240),
               c(255,243,243),
               c(255,246,246),
               c(255,249,249),
               c(255,251,251),
               c(255,253,253),
               c(255,255,255))[ round(seq(beg,end, length = n)), ]

    rgb(M[,1]/255,
        M[,2]/255,
        M[,3]/255)
}
